Open CASCADE Technology: Units_UnitsDictionary Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Units_UnitsDictionary Class Reference

This class creates a dictionary of all the units you want to know. More...

`#include <Units_UnitsDictionary.hxx>`

Inheritance diagram for Units_UnitsDictionary:
[legend]

## Public Member Functions
| Units_UnitsDictionary ()
| Returns an empty instance of UnitsDictionary. More...
void | Creates (const Standard_CString afilename)
| Returns a UnitsDictionary object which contains the sequence of all the units you want to consider, physical quantity by physical quantity. More...
Handle< Units_QuantitiesSequence > | Sequence () const
| Returns the head of the sequence of physical quantities. More...
Standard_Boolean | UpToDate () const
| Returns true if there has been no modification of the file Units.dat since the creation of the dictionary object, false otherwise. More...
TCollection_AsciiString | ActiveUnit (const Standard_CString aquantity) const
| Returns for <aquantity> the active unit. More...
void | Dump (const Standard_Integer alevel) const
| Dumps only the sequence of quantities without the units if <alevel> is equal to zero, and for each quantity all the units stored if <alevel> is equal to one. More...
void | Dump (const Handle< Units_Dimensions > &adimensions) const
| Dumps for a designated physical dimensions <adimensions> all the previously stored units. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

This class creates a dictionary of all the units you want to know.

## Constructor & Destructor Documentation

Units_UnitsDictionary::Units_UnitsDictionary | ( |  | ) |

Returns an empty instance of UnitsDictionary.

## Member Function Documentation

TCollection_AsciiString Units_UnitsDictionary::ActiveUnit | ( | const Standard_CString | aquantity | ) | const

Returns for <aquantity> the active unit.

void Units_UnitsDictionary::Creates | ( | const Standard_CString | afilename | ) |

Returns a UnitsDictionary object which contains the sequence of all the units you want to consider, physical quantity by physical quantity.

void Units_UnitsDictionary::Dump | ( | const Standard_Integer | alevel | ) | const

Dumps only the sequence of quantities without the units if <alevel> is equal to zero, and for each quantity all the units stored if <alevel> is equal to one.

void Units_UnitsDictionary::Dump | ( | const Handle< Units_Dimensions > & | adimensions | ) | const

Dumps for a designated physical dimensions <adimensions> all the previously stored units.

Handle< Units_QuantitiesSequence > Units_UnitsDictionary::Sequence | ( |  | ) | const

Returns the head of the sequence of physical quantities.

Standard_Boolean Units_UnitsDictionary::UpToDate | ( |  | ) | const

Returns true if there has been no modification of the file Units.dat since the creation of the dictionary object, false otherwise.

The documentation for this class was generated from the following file:

- Units_UnitsDictionary.hxx